### 7.3.17 ncalgebra

`Syntax:`
  `ncalgebra(` matrix_expression C, matrix_expression D `)`
  `ncalgebra(` number_expression n, matrix_expression D `)`
  `ncalgebra(` matrix_expression C, poly_expression p `)`
  `ncalgebra(` number_expression n, poly_expression p `)`
`Type:`
  none
`Purpose:`
  Works like nc_algebra but changes the basering.

`Remark:`
  This function is depreciated and should be substituted by `nc_algebra`, since it violates the general SINGULAR policy: only ring and setring can change the basering. More concretely, replace by `def A = nc_algebra(C, D); setring A;` which will additionally introduce a new ring. Afterwards, some objects may have to be mapped into the new ring.

See also nc_algebra; nctools_lib.

User manual for Singular version 4-0-3, 2016, generated by texi2html.